Package com.mckoi.database

## Class UserAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.mckoi.database.DatabaseException
      - - com.mckoi.database.UserAccessException

All Implemented Interfaces:
  `java.io.Serializable`

    public class UserAccessException
    extends DatabaseException

An exception that is thrown when the user is not permitted to perform a certain action.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`UserAccessException​(java.lang.String message)`

### Method Summary

### Methods inherited from class com.mckoi.database.DatabaseException

`getErrorCode`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserAccessException

    public UserAccessException​(java.lang.String message)